/****** INICIALES *****/
let dropdownlist_click = [false,false, false];
let datalist_click = [false];
cargaDatosPrincipales();
cargaFoto();
cargaSemblanza();
cargaRedes();
cargaIntereses();

/****** GENERALES *****/
$('.ing-editar.iconAcciones').click(function(){
    switch($(this).data('tipo')){
        case 1:
            $('#completo').hide();
            $('#nombre').prop('disabled', false);
            $('#apellidos').prop('disabled', false);
            $('#curp').prop('disabled', false);
            break;
        case 2:
            $('#txtAcerca').show();
            $('#txtAcerca').prop('contenteditable',true).addClass('editable');            
            break;
    }
    $(this).hide();
    $(this).siblings('.btns').show();
});
$('.ing-aceptar.iconAcciones').click(function(){
    switch($(this).data('tipo')){
        case 1:
            if (datosValidos()){
                $('#modalEliminar').find('.modal-body').html(`<div>¿Son correctos los siguientes datos a guardar?</div>
                    <div class="text-azul1 indivisa-text-bold-italic">` + $('#nombre').val() + ` ` + $('#apellidos').val() + `</div>
                    <div class="text-azul2"><span>CURP: </span><span class="indivisa-text-bold-italic">` + $('#curp').val() + `</span></div>`);
                $('#btnOkEliminar').data('tipo',1);
                $('#modalEliminar').modal('show');
                $(this).parent('.btns').hide();
                $(this).parent('.btns').siblings('.ing-editar.iconAcciones').show();
            }
            break;
        case 2:
            actualizaSemblanza();
            $('#txtAcerca').prop('contenteditable',false).removeClass('editable');
            $(this).parent('.btns').hide();
            $(this).parent('.btns').siblings('.ing-editar.iconAcciones').show();
            break;
        case 4:
            if ($('#profesionales').children('li.borrar').length > 0 || $('#personales').children('li.borrar').length) {
                let total = $('#profesionales').children('li.borrar').length + $('#personales').children('li.borrar').length;
                if (total == 1)
                    $('#modalEliminar').find('.modal-body').html('¿Estas seguro de eliminar <span class="text-azul1">el elemento seleccionado</span>?');
                else
                    $('#modalEliminar').find('.modal-body').html('¿Estas seguro de eliminar los <span class="text-azul1">' + total +' elementos seleccionados</span>?');
                $('#btnOkEliminar').data('tipo',4);
                $('#modalEliminar').modal('show');
            } else {
                $('.iconAviso').removeClass('bg-success bg-warning bg-danger').addClass('bg-warning');
                $('.iconAviso').children('i').removeClass('ing-aceptar ing-cancelar ing-importante').addClass('ing-importante');
                $('.msg1').text('¡Importante!');
                $('.msg2').text('Debes seleccionar al menos un interés');
                $('.rounded-pill').removeClass('bg-success bg-warning bg-danger').addClass('bg-warning');
                $('#modalAviso').modal('show');
            }
            $(this).parent('.btns').hide();
            $(this).parent('.btns').siblings('.ing-editar.iconAcciones').show();
            break;
    }    
});
$('.ing-cancelar.iconAcciones').click(function(){
    switch($(this).data('tipo')){
        case 1:            
            $('#nombre').prop('disabled', true);
            $('#apellidos').prop('disabled', true);
            $('#curp').prop('disabled', true);
            $('#completo').show();
            break;
        case 2:
            $('#txtAcerca').prop('contenteditable',false).removeClass('editable');
            cargaSemblanza();
            break;
        case 4:
            limpiaIntereses();
            break;
    }
    $(this).parent('.btns').hide();
    $(this).parent('.btns').siblings('.ing-editar.iconAcciones').show();
});
$('.ing-menos.iconAcciones').click(function(){
    switch($(this).data('tipo')){
        case 3:
            eliminaRedes();
            break;
        case 4:
            $('.interes').children('.ing-cuadrado').hide();
            $('.interes').children('.ing-basura').show();
            $('#accionIntereses').hide();
            $('#eliminaIntereses').show();
            break;
    }
    $(this).parent('.btns').hide();
    $(this).parent('.btns').siblings('.ing-editar.iconAcciones').show();
});
$('#btnOkEliminar').click(function(){
    switch($(this).data('tipo')){
        case 1:
            actualizaDatosPrincipales();
            break;
        case 4:
            eliminaIntereses();
            break;
        case 5:
            actualizaFoto();
            break;
    }
});
function agregaHover() { $(this).parent().addClass('hoverElim'); }
function quitaHover() { $(this).parent().removeClass('hoverElim'); }
function eliminaBasura(){
    $(this).hide();
    $(this).siblings('.ing-cancelar').show();
    $(this).parent().addClass('borrar');
}
function cancelaElimina(){
    $(this).hide();
    $(this).siblings('.ing-basura').show();
    $(this).parent().removeClass('borrar');
}

/****************** NOMBRE Y CURP *****************/
function cargaDatosPrincipales(){
    $.ajax({
        url: 'action/home_action.php',
        type: 'POST', 
        dataType: 'json',
        data: { tipo: 1, accion: 1 },
        success: function(result) {
            if(result['error']!= '' &&  result['error'] !== undefined){
                $('.iconAviso').removeClass('bg-success bg-warning bg-danger').addClass('bg-danger');
                $('.iconAviso').children('i').removeClass('ing-aceptar ing-cancelar ing-importante').addClass('ing-cancelar');
                $('.msg1').text('¡Error!');
                $('.msg2').html(result['error']);
                $('.rounded-pill').removeClass('bg-success bg-warning bg-danger').addClass('bg-danger');
                $('#modalAviso').modal('show');
            } else {
                $('#nombre').val(result['nombre']);
                $('#apellidos').val(result['apellidos']);
                $('#completo').children('label').text(result['nombre'] + ' ' + result['apellidos']);
                if (result['validacion']) {
                    $('#validacion').removeClass('invisible');
                    $('#msg').val(result['msg']);
                } else
                    $('#validacion').addClass('invisible');
                $('#estatus').text(result['estatus']);
                $('#curp').val(result['curp']);
                $('#carreras').html(result['carreras']);
            }
        },
        error: function(jqXHR, textStatus, errorThrown ){
            $('.iconAviso').removeClass('bg-success bg-warning bg-danger').addClass('bg-warning');
            $('.iconAviso').children('i').removeClass('ing-aceptar ing-cancelar ing-importante').addClass('ing-importante');
            $('.msg1').text('¡Lo sentimos!');
            $('.msg2').text('Se presentó un error inesperado al momento de cargar el nombre y CURP');
            $('.rounded-pill').removeClass('bg-success bg-warning bg-danger').addClass('bg-warning');
            $('#modalAviso').modal('show');
        }
    });
}
$('#validacion').on('inserted.bs.tooltip', function(){
    $('.tooltip-inner').html($('#msg').val());
});
function datosValidos(){
    let valido = true;
    if ($('#nombre').val() == '') {
        $('#nombre').addClass('is-invalid');
        valido = false
    } else
        $('#nombre').removeClass('is-invalid');
    if ($('#apellidos').val() == '') {
        $('#apellidos').addClass('is-invalid');
        valido = false
    } else
        $('#apellidos').removeClass('is-invalid');
    if ($('#curp').val() == '' ||  $('#curp').val().length < 18) {
        $('#curp').addClass('is-invalid');
        valido = false
    } else
        $('#curp').removeClass('is-invalid');
    return valido;
}
function actualizaDatosPrincipales() {
    $('#modalEliminar').modal('hide');    
    $('#nombre').prop('disabled', true);
    $('#apellidos').prop('disabled', true);
    $('#curp').prop('disabled', true);
    $('#completo').show();
    $.ajax({
        url: 'action/home_action.php',
        type: 'POST', 
        dataType: 'json',
        data: { tipo: 1, accion: 2, nombre: $('#nombre').val(), apellidos: $('#apellidos').val(), curp: $('#curp').val() },
        success: function(result) {
            if(result['error']!= '' &&  result['error'] !== undefined){
                $('.iconAviso').removeClass('bg-success bg-warning bg-danger').addClass('bg-danger');
                $('.iconAviso').children('i').removeClass('ing-aceptar ing-cancelar ing-importante').addClass('ing-cancelar');
                $('.msg1').text('¡Error!');
                $('.msg2').html(result['error']);
                $('.rounded-pill').removeClass('bg-success bg-warning bg-danger').addClass('bg-danger');
                $('#modalAviso').modal('show');
            } else {
                $('.iconAviso').removeClass('bg-success bg-warning bg-danger').addClass('bg-success');
                $('.iconAviso').children('i').removeClass('ing-aceptar ing-cancelar ing-importante').addClass('ing-aceptar');
                $('.msg1').text('¡Felicidades!');
                $('.msg2').html(result['ok']);
                $('.rounded-pill').removeClass('bg-success bg-warning bg-danger').addClass('bg-success');
                cargaDatosPrincipales();
            }
        },
        error: function(jqXHR, textStatus, errorThrown ){
            $('.iconAviso').removeClass('bg-success bg-warning bg-danger').addClass('bg-warning');
            $('.iconAviso').children('i').removeClass('ing-aceptar ing-cancelar ing-importante').addClass('ing-importante');
            $('.msg1').text('¡Lo sentimos!');
            $('.msg2').text('Se presentó un error inesperado al momento de actualizar el nombre y CURP');
            $('.rounded-pill').removeClass('bg-success bg-warning bg-danger').addClass('bg-warning');
            $('#modalAviso').modal('show');
        }
    });
}

/****************** FOTO *****************/
function cargaFoto(){
    $.ajax({
        url: 'action/home_action.php',
        type: 'POST', 
        dataType: 'json',
        data: { tipo: 5, accion: 1 },
        success: function(result) {
            if(result['error']!= '' &&  result['error'] !== undefined){
                $('.iconAviso').removeClass('bg-success bg-warning bg-danger').addClass('bg-danger');
                $('.iconAviso').children('i').removeClass('ing-aceptar ing-cancelar ing-importante').addClass('ing-cancelar');
                $('.msg1').text('¡Error!');
                $('.msg2').html(result['error']);
                $('.rounded-pill').removeClass('bg-success bg-warning bg-danger').addClass('bg-danger');
                $('#modalAviso').modal('show');
            } else {
                $('#foto').attr('src', result['foto']);
            }
        },
        error: function(jqXHR, textStatus, errorThrown ){
            $('.iconAviso').removeClass('bg-success bg-warning bg-danger').addClass('bg-warning');
            $('.iconAviso').children('i').removeClass('ing-aceptar ing-cancelar ing-importante').addClass('ing-importante');
            $('.msg1').text('¡Lo sentimos!');
            $('.msg2').text('Se presentó un error inesperado al momento de cargar la foto');
            $('.rounded-pill').removeClass('bg-success bg-warning bg-danger').addClass('bg-warning');
            $('#modalAviso').modal('show');
        }
    });
}
function actualizaFoto(){
    let datos = $.customFile.serialize('#formFoto');
    datos.append('accion', 2);
    datos.append('tipo', 5);
    let elem = event.currentTarget;
    if ($(elem).data('dato') == 1) 
        datos.append('limpia', 1);
    else
        datos.append('limpia', 0);
    $.ajax({
        url: 'action/home_action.php',
        type: 'POST', 
        contentType: false,
        cache: false,
        processData:false,
        data: datos,
        success: function(result) {
             if (result.startsWith('{')){
                result = JSON.parse(result);
                if(result['error']!= '' &&  result['error'] !== undefined){
                    $('.iconAviso').removeClass('bg-success bg-warning bg-danger').addClass('bg-danger');
                    $('.iconAviso').children('i').removeClass('ing-aceptar ing-cancelar ing-importante').addClass('ing-cancelar');
                    $('.msg1').text('¡Error!');
                    $('.msg2').html(result['error']);
                    $('.rounded-pill').removeClass('bg-success bg-warning bg-danger').addClass('bg-danger');
                    $('#modalAviso').modal('show');
                } else
                    cargaFoto();
            } else {
                $('.iconAviso').removeClass('bg-success bg-warning bg-danger').addClass('bg-warning');
                $('.iconAviso').children('i').removeClass('ing-aceptar ing-cancelar ing-importante').addClass('ing-importante');
                $('.msg1').text('¡Lo sentimos!');
                $('.msg2').text('Ocurrió un error inesperado al momento de cambiar la foto');
                $('.rounded-pill').removeClass('bg-success bg-warning bg-danger').addClass('bg-warning');
                $('#modalAviso').modal('show');
            }
            $('#modalEliminar').modal('hide');
            $('#modalFoto').modal('hide');
        },
        error: function(jqXHR, textStatus, errorThrown ){
            $('.iconAviso').removeClass('bg-success bg-warning bg-danger').addClass('bg-warning');
            $('.iconAviso').children('i').removeClass('ing-aceptar ing-cancelar ing-importante').addClass('ing-importante');
            $('.msg1').text('¡Lo sentimos!');
            $('.msg2').text('Se presentó un error inesperado al momento de cambiar la foto');
            $('.rounded-pill').removeClass('bg-success bg-warning bg-danger').addClass('bg-warning');
            $('#modalAviso').modal('show');
            $('#modalEliminar').modal('hide');
            $('#modalFoto').modal('hide');
        }
    });
}
$('#limpiaFoto').click(function(){
    $('#btnOkEliminar').data('dato',1);
    $('#btnOkEliminar').data('tipo',5);
    $('#modalEliminar').children('div').children('div').children('div.modal-body').html('¿Estás seguro de querer poner la imagen <span class="text-azul1">default</span>?');
    $('#modalEliminar').modal('show');
});
$('#btnOkFoto').click(function() {
    if ($('#divArchivo').children('.cif-file-container.cif-container-image-type').children('div.cif-file-row').length > 0) {
        $('#divArchivo').children('.cif-file-picker.cif-pkr-archivo').removeClass('is-invalid');
        actualizaFoto();
    } else
        $('#divArchivo').children('.cif-file-picker.cif-pkr-archivo').addClass('is-invalid');
});
$('#modalFoto').on('show.bs.modal', function (event) {
    $('#divArchivo').children('.cif-file-picker.cif-pkr-archivo').removeClass('is-invalid');
    $('.cif-close').click();
});
/***** CUSTOM INPUT FILE *****/
$('#addArchivo').customFile({
	type : 'image',
	/*allowed : ["jpg", "jpeg", "png", "gif", "bmp","avi", "mp4", "mpeg", "mov", "wmv"],*/
	maxFiles    : 1,
	maxKBperFile: 1024*10,
	filePicker : '<div class="text-center text-azul1 display-6 mb-2">Arrastra aquí tu foto</div><div class="text-azul2 display-7 mb-2">o da click para agregarla</div><div class="text-secondary mb-2">(La foto debe pesar máximo 10MB)</div><span class="display-6 text-mainColor ing-carga-archivo"></span>',
        addContainerAfter : $('#addArchivo'),
        messages : {
            errorType : 'No son permitidos ese tipo de archivos',
            errorFileKB: 'El archivo excede los 10MB'
        },
        popup: {
            active: false,
            autoclose : false
        },
        callbacks : {
            beforeRead : function(file){
                $('#divArchivo').children('div.cif-file-picker').hide();
                $('.carga').show();
            },
            onError : function(file,msg){
                let lista = '';
                for (let cont = 0; cont < msg.length; cont++){
                    lista += '<li>' + msg[cont] + '</li>';
                }
                $('#divArchivo').before(`<div class="alert alert-danger alert-dismissible w-100 fade show" role="alert">
                    <div class="d-flex flex-column">
                        <div class="fw-bold">¡Error!</div>
                        <div>El archivo que intentaste cargar es:<span class="ms-1">` + file.name + `</span></div>
                        <ul class="error">` + lista + `</ul>
                    </div>
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close" onclick="$('#divArchivo').children('.cif-file-picker.cif-pkr-archivo').show();"><span aria-hidden="true" class="ing-cancelar"></span></button>
                </div>`);
                $('#divArchivo').children('.cif-file-container.cif-container-image-type').hide();
            },
            beforeRemove : function(item){
                $('#divArchivo').children('.cif-file-picker.cif-pkr-archivo').show();
                $('#divArchivo').children('.cif-file-container.cif-container-image-type').hide();
            },
            onComplete : function(app){
                $('.carga').hide();
                $('#divArchivo').children('.cif-file-picker.cif-pkr-archivo').hide();
                $('#divArchivo').children('.cif-file-picker.cif-pkr-archivo').removeClass('is-invalid');
                if ($('.alert').length == 0)
                    $('#divArchivo').children('.cif-file-container.cif-container-image-type').show();
            }
        }
});

/****************** ACERCA DE MI *****************/
function cargaSemblanza(){
    $('#txtAcerca').hide();
    $.ajax({
        url: 'action/home_action.php',
        type: 'POST', 
        dataType: 'json',
        data: { tipo: 2, accion: 1 },
        success: function(result) {
            if(result['error']!= '' &&  result['error'] !== undefined){
                $('.iconAviso').removeClass('bg-success bg-warning bg-danger').addClass('bg-danger');
                $('.iconAviso').children('i').removeClass('ing-aceptar ing-cancelar ing-importante').addClass('ing-cancelar');
                $('.msg1').text('¡Error!');
                $('.msg2').html(result['error']);
                $('.rounded-pill').removeClass('bg-success bg-warning bg-danger').addClass('bg-danger');
                $('#modalAviso').modal('show');
            } else {
                if (result['acerca'] != '')
                    $('#txtAcerca').show();
                $('#txtAcerca').text(result['acerca']);
            }
        },
        error: function(jqXHR, textStatus, errorThrown ){
            $('.iconAviso').removeClass('bg-success bg-warning bg-danger').addClass('bg-warning');
            $('.iconAviso').children('i').removeClass('ing-aceptar ing-cancelar ing-importante').addClass('ing-importante');
            $('.msg1').text('¡Lo sentimos!');
            $('.msg2').text('Se presentó un error inesperado al momento de cargar la descripción acerca de mi');
            $('.rounded-pill').removeClass('bg-success bg-warning bg-danger').addClass('bg-warning');
            $('#modalAviso').modal('show');
        }
    });
}
function actualizaSemblanza() {    
    $.ajax({
        url: 'action/home_action.php',
        type: 'POST', 
        dataType: 'json',
        data: { tipo: 2, accion: 2, acerca: $('#txtAcerca').text() },
        success: function(result) {
            if(result['error']!= '' &&  result['error'] !== undefined){
                $('.iconAviso').removeClass('bg-success bg-warning bg-danger').addClass('bg-danger');
                $('.iconAviso').children('i').removeClass('ing-aceptar ing-cancelar ing-importante').addClass('ing-cancelar');
                $('.msg1').text('¡Error!');
                $('.msg2').html(result['error']);
                $('.rounded-pill').removeClass('bg-success bg-warning bg-danger').addClass('bg-danger');
                $('#modalAviso').modal('show');
            } else {
                $('.iconAviso').removeClass('bg-success bg-warning bg-danger').addClass('bg-success');
                $('.iconAviso').children('i').removeClass('ing-aceptar ing-cancelar ing-importante').addClass('ing-aceptar');
                $('.msg1').text('¡Felicidades!');
                $('.msg2').html(result['ok']);
                $('.rounded-pill').removeClass('bg-success bg-warning bg-danger').addClass('bg-success');
                cargaSemblanza();
            }
        },
        error: function(jqXHR, textStatus, errorThrown ){
            $('.iconAviso').removeClass('bg-success bg-warning bg-danger').addClass('bg-warning');
            $('.iconAviso').children('i').removeClass('ing-aceptar ing-cancelar ing-importante').addClass('ing-importante');
            $('.msg1').text('¡Lo sentimos!');
            $('.msg2').text('Se presentó un error inesperado al momento de actualizar el nombre y CURP');
            $('.rounded-pill').removeClass('bg-success bg-warning bg-danger').addClass('bg-warning');
            $('#modalAviso').modal('show');
        }
    });
}
/****** DIV CONTENTEDITABLE *****/
$('#txtAcerca').focusout(function(){
    let element = $(this);        
    if (!element.text().replace(" ", "").length) {
        element.empty();
    }
});

/****************** REDES *****************/
function cargaRedes(){
    $.ajax({
        url: 'action/home_action.php',
        type: 'POST', 
        dataType: 'json',
        data: { tipo: 3, accion: 1 },
        success: function(result) {
            if(result['error']!= '' &&  result['error'] !== undefined){
                $('.iconAviso').removeClass('bg-success bg-warning bg-danger').addClass('bg-danger');
                $('.iconAviso').children('i').removeClass('ing-aceptar ing-cancelar ing-importante').addClass('ing-cancelar');
                $('.msg1').text('¡Error!');
                $('.msg2').html(result['error']);
                $('.rounded-pill').removeClass('bg-success bg-warning bg-danger').addClass('bg-danger');
                $('#modalAviso').modal('show');
            } else {
                if(result['html'] == '')
                    $('span.ing-menos[data-tipo="3"]').hide();
                else
                    $('span.ing-menos[data-tipo="3"]').show();
                $('#divRedes').html(result['html']);
                /****** POPOVER | TOOLTIP *****/
                $('[data-toggle="popover"]').popover();
                $('[data-toggle="popover"]').on('shown.bs.popover', function () {
                    $('.popover').children('.popover-header').append('<i class="ing-cancelar btnCerrar" onclick="cierraPopover()"></i>');
                });
                $('body').on('mousedown', '.popover', function(){
                    event.preventDefault();
                });
                $('[data-toggle="tooltip"]').tooltip();
            }
        },
        error: function(jqXHR, textStatus, errorThrown ){
            $('.iconAviso').removeClass('bg-success bg-warning bg-danger').addClass('bg-warning');
            $('.iconAviso').children('i').removeClass('ing-aceptar ing-cancelar ing-importante').addClass('ing-importante');
            $('.msg1').text('¡Lo sentimos!');
            $('.msg2').text('Se presentó un error inesperado al momento de cargar las redes');
            $('.rounded-pill').removeClass('bg-success bg-warning bg-danger').addClass('bg-warning');
            $('#modalAviso').modal('show');
        }
    });
}
function cierraPopover(){
   $('[data-toggle="popover"]').popover('hide');
   $('.iconRedes').blur();
}
function validaRedes(){
    let datos = {};
    if ($('#dlRed').data('id') != -1) {
        datos.red = $('#dlRed').data('id');        
        $('#dlRed').removeClass('is-invalid');
        if ($('#inputDato').val() == '') {
            $('#inputDato').addClass('is-invalid');            
        } else {
            $('#inputDato').removeClass('is-invalid');
            datos.dato = $('#inputDato').val();
        }
        if ($('#dlRed').data('id') != 0) {
            datos.subtipo = $('#ddlSubTipo').data('id');
            datos.subtipostatus = $('#dlRed').data('subtipo');
            if ($('#dlRed').data('subtipo') == 1 && $('#ddlSubTipo').data('id') == 0)
                $('#ddlSubTipo').addClass('is-invalid');
            else
                $('#ddlSubTipo').removeClass('is-invalid');                
            if ($('#ddlUsoRed').data('id') == 0) {
                $('#ddlUsoRed').addClass('is-invalid');
            } else {
                $('#ddlUsoRed').removeClass('is-invalid');
                datos.uso = $('#ddlUsoRed').data('id');
            }
        } else {
            if ($('#inputNomEmergencia').val() == '') {
                $('#inputNomEmergencia').addClass('is-invalid');            
            } else {
                $('#inputNomEmergencia').removeClass('is-invalid');
                datos.nombre = $('#inputNomEmergencia').val();
                datos.subtipo = 0;
                datos.subtipostatus = 0;
            }            
        }
    } else {
        $('#modalAddRedes').find('.is-invalid').removeClass('is-invalid');
        $('#dlRed').addClass('is-invalid');
    }
    return datos;
}
$('#modalAddRedes').on('show.bs.modal', function(){
    limpiaRed();
    $('#dlRed').data('id',-1);
    $('#modalAddRedes').find('.is-invalid').removeClass('is-invalid');
});
$('#btnOkAddRedes').click(function(){
    let datos = validaRedes();
    if(Object.keys(datos).length == 5){
        $('#modalAddRedes').modal('hide');
        datos.tipo = 3;
        datos.accion = 2;
        $.ajax({
            url: 'action/home_action.php',
            type: 'POST', 
            dataType: 'json',
            data: datos,
            success: function(result) {
                if(result['error']!= '' &&  result['error'] !== undefined){
                    $('.iconAviso').removeClass('bg-success bg-warning bg-danger').addClass('bg-danger');
                    $('.iconAviso').children('i').removeClass('ing-aceptar ing-cancelar ing-importante').addClass('ing-cancelar');
                    $('.msg1').text('¡Error!');
                    $('.msg2').html(result['error']);
                    $('.rounded-pill').removeClass('bg-success bg-warning bg-danger').addClass('bg-danger');                    
                } else {
                    $('.iconAviso').removeClass('bg-success bg-warning bg-danger').addClass('bg-success');
                    $('.iconAviso').children('i').removeClass('ing-aceptar ing-cancelar ing-importante').addClass('ing-aceptar');
                    $('.msg1').text('¡Felicidades!');
                    $('.msg2').html(result['ok']);
                    $('.rounded-pill').removeClass('bg-success bg-warning bg-danger').addClass('bg-success');
                    cargaRedes();
                }
                $('#modalAviso').modal('show');
            },
            error: function(jqXHR, textStatus, errorThrown ){
                $('.iconAviso').removeClass('bg-success bg-warning bg-danger').addClass('bg-warning');
                $('.iconAviso').children('i').removeClass('ing-aceptar ing-cancelar ing-importante').addClass('ing-importante');
                $('.msg1').text('¡Lo sentimos!');
                $('.msg2').text('Se presentó un error inesperado al momento de cargar el dato | red');
                $('.rounded-pill').removeClass('bg-success bg-warning bg-danger').addClass('bg-warning');
                $('#modalAviso').modal('show');
            }
        });
    }
});
$('#btnOkSupRedes').click(function(){
    let ids_redes = [];
    $('#modalSupRedes').find('li.borrar').each(function(){
        ids_redes.push($(this).data('id'));
    });
    $('#modalSupRedes').modal('hide');
    $.ajax({
        url: 'action/home_action.php',
        type: 'POST', 
        dataType: 'json',
        data: { tipo: 3, accion: 3, ids_redes: ids_redes },
        success: function(result) {
            if(result['error']!= '' &&  result['error'] !== undefined){
                $('.iconAviso').removeClass('bg-success bg-warning bg-danger').addClass('bg-danger');
                $('.iconAviso').children('i').removeClass('ing-aceptar ing-cancelar ing-importante').addClass('ing-cancelar');
                $('.msg1').text('¡Error!');
                $('.msg2').html(result['error']);
                $('.rounded-pill').removeClass('bg-success bg-warning bg-danger').addClass('bg-danger');                    
            } else {
                $('.iconAviso').removeClass('bg-success bg-warning bg-danger').addClass('bg-success');
                $('.iconAviso').children('i').removeClass('ing-aceptar ing-cancelar ing-importante').addClass('ing-aceptar');
                $('.msg1').text('¡Felicidades!');
                $('.msg2').html(result['ok']);
                $('.rounded-pill').removeClass('bg-success bg-warning bg-danger').addClass('bg-success');
                cargaRedes();
            }
            $('#modalAviso').modal('show');
        },
        error: function(jqXHR, textStatus, errorThrown ){
            $('.iconAviso').removeClass('bg-success bg-warning bg-danger').addClass('bg-warning');
            $('.iconAviso').children('i').removeClass('ing-aceptar ing-cancelar ing-importante').addClass('ing-importante');
            $('.msg1').text('¡Lo sentimos!');
            $('.msg2').text('Se presentó un error inesperado al momento de eliminar los datos y/o redes');
            $('.rounded-pill').removeClass('bg-success bg-warning bg-danger').addClass('bg-warning');
            $('#modalAviso').modal('show');
        }
    });
});
/****** DLRED ******/
$('#dlRed ul li').mousedown({index: 0},mousedownDataList);
$('#dlRed ul li').mouseup({elem: 'Red', index: 0},mouseupDataList);
$('#inputRed').click({elem: 'Red'},clickDataList);
$('#inputRed').blur({elem: 'Red', index: 0},blurDataList);
$('#inputRed').keyup(function(){
    var input = $('#dlRed input');    
    $('#dlRed ul li label').each(function(){
        var elem = $(this);
        if ($(this).parent().is('li'))
            elem = $(this).parent();
        if (!sinAcentos($(this).html()).toUpperCase().includes(sinAcentos($(input).val()).toUpperCase()))
            $(elem).hide();
        else
            $(elem).show();
    });
});
$('#iconRed').mousedown({index: 0},mousedownDataList);
$('#iconRed').mouseup(function (){
    datalist_click[0] = false;
    limpiaRed();
});
$('#iconRed').click({elem: 'Red'},limpiaInputDL);
$('#dlRed ul li').click(function() {                
    limpiaRed();
    $(this).parent('ul').siblings('span').removeClass('ing-cancelar iconoAzul pointer');
    $(this).parent('ul').hide();
    $('#dlRed').data('id', $(this).data('id'));
    $('#dlRed').data('subtipo', $(this).data('subtipo'));
    $('#inputRed').val($(this).text());
    $('#titDato').text($(this).text());
    $('#inputDato').attr('placeholder','Escribe tu ' + $(this).text().toLowerCase() + ' aquí');
    if ($(this).data('subtipo') == 1){
        $.ajax({
            url: 'action/home_action.php',
            type: 'POST', 
            dataType: 'json',
            data: { tipo: 3, accion: 4, tipo_contacto: $(this).data('id') },
            success: function(result) {
                if(result['error']!= '' &&  result['error'] !== undefined){                    
                    $('.iconAviso').removeClass('bg-success bg-warning bg-danger').addClass('bg-danger');
                    $('.iconAviso').children('i').removeClass('ing-aceptar ing-cancelar ing-importante').addClass('ing-cancelar');
                    $('.msg1').text('¡Error!');
                    $('.msg2').html(result['error']);
                    $('.rounded-pill').removeClass('bg-success bg-warning bg-danger').addClass('bg-danger');
                    $('#modalAviso').modal('show');                    
                } else {
                    $('#titSubTipo').text(result['titulo']);
                    $('#ddlSubTipo').children('ul').html(result['lista']);
                    $('#btnSubTipo').children('label').text(result['msg']);
                    $('.subtipo').show();
                    /****** DDLSUBTIPO *****/
                    $('#ddlSubTipo ul li').mousedown({index: 1},mousedownDropdownList);
                    $('#ddlSubTipo ul li').mouseup({elem: 'UsoRed', index: 1},mouseupDropdownList);
                    $('#ddlSubTipo ul li').click(itemDropdownList);
                }                
            },
            error: function(jqXHR, textStatus, errorThrown ){
                $('.iconAviso').removeClass('bg-success bg-warning bg-danger').addClass('bg-warning');
                $('.iconAviso').children('i').removeClass('ing-aceptar ing-cancelar ing-importante').addClass('ing-importante');
                $('.msg1').text('¡Lo sentimos!');
                $('.msg2').text('Se presentó un error inesperado al momento de cargar las redes');
                $('.rounded-pill').removeClass('bg-success bg-warning bg-danger').addClass('bg-warning');
                $('#modalAviso').modal('show');
            }
        });
        $('.subtipo').show();
    } else {
        $('.subtipo').hide();
    }
    $('.dato').show();
    if ($(this).data('id') != 0) {
        $('#titUsoRed').text('Uso de tu ' + $(this).text().toLowerCase());
        $('.uso').show();
    } else
        $('.emergencia').show();
});
function limpiaRed(){
    $('#dlRed').data('id',-1);
    $('#dlRed').data('subtipo',-1);
    $('#btnUsoRed').children('label').text('Elige el tipo de uso');
    $('#titSubTipo').hide();
    $('#ddlSubTipo').hide();
    $('#ddlSubTipo').data('id',0);
    $('#ddlUsoRed').data('id',0);
    $('.emergencia').hide();
    $('.uso').hide();
    $('.dato').hide();
    $('#modalAddRedes').find('.dropdownlist-item.active').removeClass('.active');
    $('#inputDato').val('');
    $('#inputNomEmergencia').val('');
    $('#inputRed').val('');
    $('#inputRed').focus();
}
/****** DDLSUBTIPO *****/
$('#btnSubTipo').click({elem: 'SubTipo'},clickDropdownList);
$('#btnSubTipo').blur({elem: 'SubTipo', index: 1},blurDropdownList);
/****** DDLUSORED *****/
$('#btnUsoRed').click({elem: 'UsoRed'},clickDropdownList);
$('#btnUsoRed').blur({elem: 'UsoRed', index: 2},blurDropdownList);
$('#ddlUsoRed ul li').mousedown({index: 2},mousedownDropdownList);
$('#ddlUsoRed ul li').mouseup({elem: 'UsoRed', index: 2},mouseupDropdownList);
$('#ddlUsoRed ul li').click(itemDropdownList);
function eliminaRedes(){
    $.ajax({
        url: 'action/home_action.php',
        type: 'POST', 
        dataType: 'json',
        data: { tipo: 3, accion: 5 },
        success: function(result) {
            if(result['error']!= '' &&  result['error'] !== undefined){
                $('.iconAviso').removeClass('bg-success bg-warning bg-danger').addClass('bg-danger');
                $('.iconAviso').children('i').removeClass('ing-aceptar ing-cancelar ing-importante').addClass('ing-cancelar');
                $('.msg1').text('¡Error!');
                $('.msg2').html(result['error']);
                $('.rounded-pill').removeClass('bg-success bg-warning bg-danger').addClass('bg-danger');
                $('#modalAviso').modal('show');
            } else {
                $('#modalSupRedes').children('div').children('div').children('div.modal-body').html(result['html']);
                $('#modalSupRedes').modal('show');
                $('.red').children('.ing-basura').hover(agregaHover, quitaHover);
                $('.red').children('.ing-basura').click(eliminaBasura);
                $('.red').children('.ing-cancelar').click(cancelaElimina);
            }
        },
        error: function(jqXHR, textStatus, errorThrown ){
            $('.iconAviso').removeClass('bg-success bg-warning bg-danger').addClass('bg-warning');
            $('.iconAviso').children('i').removeClass('ing-aceptar ing-cancelar ing-importante').addClass('ing-importante');
            $('.msg1').text('¡Lo sentimos!');
            $('.msg2').text('Se presentó un error inesperado al momento de cargar las redes');
            $('.rounded-pill').removeClass('bg-success bg-warning bg-danger').addClass('bg-warning');
            $('#modalAviso').modal('show');
        }
    });
}

/****************** INTERESES *****************/
function cargaIntereses(){
    $.ajax({
        url: 'action/home_action.php',
        type: 'POST', 
        dataType: 'json',
        data: { tipo: 4, accion: 1 },
        success: function(result) {
            if(result['error']!= '' &&  result['error'] !== undefined){
                $('.iconAviso').removeClass('bg-success bg-warning bg-danger').addClass('bg-danger');
                $('.iconAviso').children('i').removeClass('ing-aceptar ing-cancelar ing-importante').addClass('ing-cancelar');
                $('.msg1').text('¡Error!');
                $('.msg2').html(result['error']);
                $('.rounded-pill').removeClass('bg-success bg-warning bg-danger').addClass('bg-danger');
                $('#modalAviso').modal('show');
            } else {
                if(result['profesionales'] == '' && result['personales'] == '')
                    $('span.ing-menos[data-tipo="4"]').hide();
                else
                    $('span.ing-menos[data-tipo="4"]').show();
                $('#profesionales').html(result['profesionales']);
                $('#personales').html(result['personales']);
                $('.interes').children('.ing-basura').hover(agregaHover, quitaHover);
                $('.interes').children('.ing-basura').click(eliminaBasura);
                $('.interes').children('.ing-cancelar').click(cancelaElimina);
            }
        },
        error: function(jqXHR, textStatus, errorThrown ){
            $('.iconAviso').removeClass('bg-success bg-warning bg-danger').addClass('bg-warning');
            $('.iconAviso').children('i').removeClass('ing-aceptar ing-cancelar ing-importante').addClass('ing-importante');
            $('.msg1').text('¡Lo sentimos!');
            $('.msg2').text('Se presentó un error inesperado al momento de cargar los intereses');
            $('.rounded-pill').removeClass('bg-success bg-warning bg-danger').addClass('bg-warning');
            $('#modalAviso').modal('show');
        }
    });
}
$('#btnOkAddInteres').click(function(){
    if($('#ddlInteres').data('id') != -1 && $('#inputInteres').val() != ''){
        $('#modalInteres').find('.is-invalid').removeClass('is-invalid');
        $('#modalInteres').modal('hide');
        $.ajax({
            url: 'action/home_action.php',
            type: 'POST', 
            dataType: 'json',
            data: { tipo: 4, accion: 2, interes: $('#inputInteres').val(), tipo_interes: $('#ddlInteres').data('id') },
            success: function(result) {
                if(result['error']!= '' &&  result['error'] !== undefined){
                    $('.iconAviso').removeClass('bg-success bg-warning bg-danger').addClass('bg-danger');
                    $('.iconAviso').children('i').removeClass('ing-aceptar ing-cancelar ing-importante').addClass('ing-cancelar');
                    $('.msg1').text('¡Error!');
                    $('.msg2').html(result['error']);
                    $('.rounded-pill').removeClass('bg-success bg-warning bg-danger').addClass('bg-danger');                    
                } else {
                    $('.iconAviso').removeClass('bg-success bg-warning bg-danger').addClass('bg-success');
                    $('.iconAviso').children('i').removeClass('ing-aceptar ing-cancelar ing-importante').addClass('ing-aceptar');
                    $('.msg1').text('¡Felicidades!');
                    $('.msg2').html(result['ok']);
                    $('.rounded-pill').removeClass('bg-success bg-warning bg-danger').addClass('bg-success');
                    cargaIntereses();
                }
                $('#modalAviso').modal('show');
            },
            error: function(jqXHR, textStatus, errorThrown ){
                $('.iconAviso').removeClass('bg-success bg-warning bg-danger').addClass('bg-warning');
                $('.iconAviso').children('i').removeClass('ing-aceptar ing-cancelar ing-importante').addClass('ing-importante');
                $('.msg1').text('¡Lo sentimos!');
                $('.msg2').text('Se presentó un error inesperado al momento de cargar los intereses');
                $('.rounded-pill').removeClass('bg-success bg-warning bg-danger').addClass('bg-warning');
                $('#modalAviso').modal('show');
            }
        });
    } else {
        if($('#ddlInteres').data('id') == -1)
            $('#ddlInteres').addClass('is-invalid');
        if ($('#inputInteres').val() == '')
            $('#inputInteres').addClass('is-invalid');
    }
});
$('#modalInteres').on('hidden.bs.modal', function(){
    $('#modalInteres').find('.is-invalid').removeClass('is-invalid');
    $('#ddlInteres').data('id',-1);
    $('#ddlInteres').children('button').children('label').text('Elige el tipo de interés');
    $('#ddlInteres').children('ul').children('.dropdownlist-item').removeClass('active');
    $('#inputInteres').val('');
});
function limpiaIntereses(){
    $('.interes').children('.ing-cuadrado').show();
    $('.interes').children('.ing-basura').hide();
    $('.interes').children('.ing-cancelar').hide();
    $('.interes').removeClass('borrar');
    $('#accionIntereses').show();
    $('#eliminaIntereses').hide();
}
function eliminaIntereses(){
    let ids_intereses = [];
    $('#profesionales').children('li.borrar').each(function(){
        ids_intereses.push($(this).data('id'));
    });
    $('#personales').children('li.borrar').each(function(){
        ids_intereses.push($(this).data('id'));
    });
    $('#modalEliminar').modal('hide');
    $.ajax({
        url: 'action/home_action.php',
        type: 'POST', 
        dataType: 'json',
        data: { tipo: 4, accion: 3, ids_intereses: ids_intereses },
        success: function(result) {
            if(result['error']!= '' &&  result['error'] !== undefined){
                $('.iconAviso').removeClass('bg-success bg-warning bg-danger').addClass('bg-danger');
                $('.iconAviso').children('i').removeClass('ing-aceptar ing-cancelar ing-importante').addClass('ing-cancelar');
                $('.msg1').text('¡Error!');
                $('.msg2').html(result['error']);
                $('.rounded-pill').removeClass('bg-success bg-warning bg-danger').addClass('bg-danger');                    
            } else {
                $('.iconAviso').removeClass('bg-success bg-warning bg-danger').addClass('bg-success');
                $('.iconAviso').children('i').removeClass('ing-aceptar ing-cancelar ing-importante').addClass('ing-aceptar');
                $('.msg1').text('¡Felicidades!');
                $('.msg2').html(result['ok']);
                $('.rounded-pill').removeClass('bg-success bg-warning bg-danger').addClass('bg-success');
                cargaIntereses();
                limpiaIntereses();
            }
            $('#modalAviso').modal('show');
        },
        error: function(jqXHR, textStatus, errorThrown ){
            $('.iconAviso').removeClass('bg-success bg-warning bg-danger').addClass('bg-warning');
            $('.iconAviso').children('i').removeClass('ing-aceptar ing-cancelar ing-importante').addClass('ing-importante');
            $('.msg1').text('¡Lo sentimos!');
            $('.msg2').text('Se presentó un error inesperado al momento de eliminar los intereses');
            $('.rounded-pill').removeClass('bg-success bg-warning bg-danger').addClass('bg-warning');
            $('#modalAviso').modal('show');
        }
    });
}
/****** DDLINTERES *****/
$('#btnInteres').click({elem: 'Interes'},clickDropdownList);
$('#btnInteres').blur({elem: 'Interes', index: 0},blurDropdownList);
$('#ddlInteres ul li').mousedown({index: 0},mousedownDropdownList);
$('#ddlInteres ul li').mouseup({elem: 'Interes', index: 0},mouseupDropdownList);
$('#ddlInteres ul li').click(itemDropdownList);